<template>
  <div>
    <h1 class="mb-6">Do you have any allergies?</h1>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice.value"
        :input-value="choice.value"
        v-model="selected.value"
        :has-free-answer="choice.freeAnswer"
        :text-value="selected.freeAnswer"
        @textInput="text => selected.freeAnswer = text"
      >
        {{ choice.value }}
      </radio-input>
    </div>
    <CommonBtn
      text="Next"
      :disabled="!selected"
      @click="$emit('nextStage')"
    />
  </div>
</template>

<script>
import RadioInput from "@/components/inputs/RadioInput";
import CommonBtn from "@/components/common/CommonBtn";
import {answersMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin],
  name: "YourHealth34",
  components: {CommonBtn, RadioInput},
  watch: {
    selected(newVal) {
      this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_34')
    },
    'selected.value'() {
      this.selected.freeAnswer = null
    }
  },
  data() {
    return {
      selected: {
        value: null,
        freeAnswer: null,
      },
      choices: [
        {
          value: 'No'
        },
        {
          value: 'Yes',
          freeAnswer: true
        },
      ]
    }
  }
}
</script>

<style scoped>

</style>
